using System;
namespace Zadatak2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            
                int N = int.Parse(s[0]);
                int L = int.Parse(s[1]);
                string[] s1 = Console.ReadLine().Split();
                int[] Hi = new int[N];
                
          for (int i = 0; i < Hi.Length; i++)
          {
               Hi[i] = int.Parse(s1[i]);
          }
          
                     bool t = true;
                    for (int i = 0; i < Hi.Length; i++)
                    {
                        if (L >= Hi[i])
                        {
                            t = false;
                            Console.WriteLine(i + 1);
                            break;
                        }
                    }

                    if (t)
                    {
                        Console.WriteLine("-1");
                    }
        }
    }
}